import request from '@birt/funclib/AxiosUtil'
export function login(params) {
  return request({
    url: '/login/pw-login',
    method: 'post',
    data:params
  })
}
export function addUser(params) {
  return request({
    url: '/sys/user/add',
    method: 'post',
    data:params
  })
}

//  添加权限
export function addPermission(params) {
  return request({
    url: '/sys/auth/add-batch?',
    method: 'post',
    data:params
  })
}

//  修改权限
export function editPermissionByAll(params, url){
  return request({
    url: url,
    method: 'post',
    data:params
  })
}
//  根据机构查询权限
export function getPermissionByOrg(params){
  return request({
    url: '/sys/auth/query-by-org',
    method: 'post',
    data:params
  })
}
//  根据岗位查询权限
export function getPermissionByRole(params){
  return request({
    url: '/sys/auth/query-by-role',
    method: 'post',
    data:params
  })
}
//  根据功能查询权限
export function getPermissionByRes(params){
  return request({
    url: '/sys/auth/query-by-res',
    method: 'post',
    data:params
  })
}

// 根据机构和岗位查询权限
export function getPermissionByAll(params, url){
  return request({
    url: url,
    method: 'post',
    data:params
  })
}

//  查询权限
export function getResData(){
  return request({
    // url: '/sys/menu/all-tree',
    url: '/sys/menu/all',
    method: 'get'
  })
}
export function getResTreeData(){
  return request({
    url: '/sys/menu/biztree-tree',
    method: 'get'
  })
}
export function getOrgData(data){
  return request({
    url: '/data/query',
    method: 'post',
    data
  })
}
export function getRoleData(data){
  return request({
    url: '/data/query',
    method: 'post',
    data
  })
}
//  根据用户查询反查
export function getPermissionByUer(params){
  return request({
    url: '/sys/auth/query-all-user',
    method: 'post',
    data:params
  })
}

export function getData(data,url){
  return request({
    url: url,
    method: 'post',
    data
  })
}

export function getDataAccess(data,url){
  return request({
    url: '/sys/menu/dataAccess',
    method: 'post',
    data
  })
}

// 删除tree
export function delTree(data,url){
  return request({
    url: url,
    method: 'post',
    data
  })
}